# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.beetmover_push_to_release:transforms
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - release-generate-checksums-beetmover
    - beetmover-android-app
    - post-update-verify-dummy

task-defaults:
    run-on-repo-type: [hg]
    run-on-projects: []
    shipping-phase: push

tasks:
    devedition-push-to-release:
        name: devedition_push_to_release
        product: devedition
        shipping-product: devedition
        treeherder-platform: devedition-release/opt

    firefox-push-to-release:
        name: firefox_push_to_release
        product: firefox
        shipping-product: firefox
        treeherder-platform: firefox-release/opt

    fenix-push-to-release:
        name: fenix_push_to_release
        product: fenix
        shipping-product: firefox-android
        shipping-phase: ship
        treeherder-platform: fenix-android-all/opt

    focus-push-to-release:
        name: focus_push_to_release
        product: focus
        shipping-product: firefox-android
        shipping-phase: ship
        treeherder-platform: focus-android-all/opt
